<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="Default" />

<f:section name="content">
    <style scoped>
        .drks-felogin form {
            padding-bottom: 2rem;
        }
        .drks-felogin legend {
            margin-bottom: 3rem;
            font-size: 2rem;
            line-height: 150%;
            color: #e46450;
        }
        .drks-felogin label {
            display: inline-block;
            margin-bottom: .5rem;
            color: #554f4a;
        }
        .drks-felogin .form-group {
            margin-bottom: 1rem;
        }
        .drks-felogin .form-control {
            display: block;
            width: 100%;
            padding: .4rem .8rem;
            font-size: 1rem;
            color: #554f4a;
            line-height: 1.5;
            background-color: #fff;
            background-clip: padding-box;
            border: none;
            box-shadow: none;
            border-radius: initial;
            border-bottom: 1px solid #0075a9;
        }
        .drks-felogin .btn {
            display: inline-block;
            text-align: center;
            vertical-align: middle;
            padding: .4rem .8rem;
            font-size: 1rem;
            line-height: 1.5;
            background: #0075a9;
            color: #fff;
        }
        .drks-felogin .mt-5 {
            margin-top: 3rem;
        }
    </style>

    <f:flashMessages />

    <f:form pageUid="{settings.flexform.login.pid}" target="_top" method="post">
        <fieldset>
            <legend>Anmelden</legend>

            <f:if condition="{feUserRow}">
                <f:then>
                    <div class="form-group">
                        <label for="user">Angemeldet als:</label>
                        <input type="text" value="{feUserRow.name}" class="form-control" readonly/>
                    </div>
                </f:then>
                <f:else>
                    <div class="form-group">
                        <label for="user">Nutzername:</label>
                        <input type="text" id="user" name="user" value="" class="form-control" />
                    </div>
                    <div class="form-group">
                        <label for="pass">Passwort:</label>
                        <input type="password" id="pass" name="pass" value="" data-rsa-encryption="" class="form-control" />
                    </div>

                    <div class="form-group mt-5">
                        <input type="submit" name="submit" value="Anmelden" class="btn btn-primary" />
                    </div>

                    <div>
                        <input type="hidden" name="logintype" value="login" />
                    </div>
                </f:else>
            </f:if>
        </fieldset>
    </f:form>
</f:section>

</html>
